Berkeley DB version 5.1.19

## com.sleepycat.db
Class ReplicationManagerSiteInfo

    java.lang.Object
      com.sleepycat.db.ReplicationManagerSiteInfo

    public class ReplicationManagerSiteInfo

extends Object

A simple wrapper class to hold information needed to define a replication site.

ReplicationManagerSiteInfo objects are returned by `Environment.getReplicationManagerSiteList`

Field Summary
`ReplicationHostAddress` `addr` The replication site's address
`int` `eid` The replication site's identifier

Constructor Summary
`ReplicationManagerSiteInfo(ReplicationHostAddress hostAddr, int eid)` Create a ReplicationManagerSiteInfo with the given information, isConnected defaults to false.
`ReplicationManagerSiteInfo(ReplicationHostAddress hostAddr, int eid, boolean isConnected)` Create a ReplicationManagerSiteInfo with the given information.
`ReplicationManagerSiteInfo(ReplicationHostAddress hostAddr, int eid, boolean isConnected, boolean isPeer)` Create a ReplicationManagerSiteInfo with the given information.

Method Summary
`boolean` `isConnected()` The replication site is connected.
`boolean` `isPeer()` The replication site is a peer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### addr

    public ReplicationHostAddress addr

  The replication site's address

### eid

    public int eid

  The replication site's identifier

Constructor Detail

### ReplicationManagerSiteInfo

    public ReplicationManagerSiteInfo(ReplicationHostAddress hostAddr,
                                      int eid)

  Create a ReplicationManagerSiteInfo with the given information, isConnected defaults to false.

### ReplicationManagerSiteInfo

    public ReplicationManagerSiteInfo(ReplicationHostAddress hostAddr,
                                      int eid,
                                      boolean isConnected)

  Create a ReplicationManagerSiteInfo with the given information.

### ReplicationManagerSiteInfo

    public ReplicationManagerSiteInfo(ReplicationHostAddress hostAddr,
                                      int eid,
                                      boolean isConnected,
                                      boolean isPeer)

  Create a ReplicationManagerSiteInfo with the given information.

Method Detail

### isConnected

    public boolean isConnected()

  The replication site is connected.

### isPeer

    public boolean isPeer()

  The replication site is a peer.

Berkeley DB version 5.1.19

Copyright (c) 1996, 2010 Oracle and/or its affiliates. All rights reserved.